Bug 58133 - files confrict
Summary: files confrict
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: PyXML   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-09 14:54 UTC by MATSUURA Takanori
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-10 04:06:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
installation log (29.47 KB, patch)
2002-01-09 14:55 UTC, MATSUURA Takanori
no flags Details | Diff
A patch to fix with_xslt processing (275 bytes, patch)
2002-01-17 05:09 UTC, MATSUURA Takanori
no flags Details | Diff

Description MATSUURA Takanori 2002-01-09 14:54:09 UTC
Description of Problem:
When I install 4Suite-0.11-7 to the machine which have PyXML-0.7-1, files are
confricted.

Version-Release number of selected component (if applicable):
4Suite-0.11-7 and PyXML-0.7-1

How Reproducible:
install 4Suite-0.11-7 to the machine which have PyXML-0.7-1

Actual Results:
files are confricted.

Additional Information:

install log is attached.

Comment 1 MATSUURA Takanori 2002-01-09 14:55:50 UTC
Created attachment 42112 [details]
installation log

Comment 2 Trond Eivind Glomsrxd 2002-01-09 16:08:47 UTC
Please give 4Suite-11.1-1 a try

Comment 3 MATSUURA Takanori 2002-01-10 03:34:32 UTC
Files also confrict on 4Suite-0.11-1 and PyXML-0.7-1.
Which side is this problem, PyXML or 4Suite?

Comment 4 MATSUURA Takanori 2002-01-10 04:06:13 UTC
From PyXML-0.7/ANNOUNCE
        * 4XPath and 4XSLT from the 4Suite package have been
          integrated as xml.xpath and xml.xslt. Both packages are a
          few releases behind 4Suite. In case of conflicts with
          a 4Suite installation, passing --without-{xpath,xslt}
          to setup.py is recommended.


Comment 5 Trond Eivind Glomsrxd 2002-01-16 19:36:18 UTC
Fixed in 4Suite-0.11.1-3

Comment 6 MATSUURA Takanori 2002-01-17 05:07:08 UTC
Is this all right?
I think this is a PyXML-side problem, and should be fixed at PyXML not 4Suite.

To fix the problem, PyXML sould be built as
CFLAGS="$RPM_OPT_FLAGS" python setup.py build --without-xpath --without-xslt
with using the patch attached with this comment.

Also should be fixed the dependency.
4Suite is needed by PyXML
PyXML is NOT needed by 4Suite

Comment 7 MATSUURA Takanori 2002-01-17 05:09:20 UTC
Created attachment 42655 [details]
A patch to fix with_xslt processing


Note You need to log in before you can comment on or make changes to this bug.